GpgFrontend Project A Free, Powerful, Easy-to-Use, Compact, Cross-Platform, and Installation-Free OpenPGP(pgp) Crypto Tool.

Public Member Functions | Public Attributes | List of all members
GpgFrontend::UI::KeyTable Struct Reference
Collaboration diagram for GpgFrontend::UI::KeyTable:

## Public Member Functions
| KeyTable (QTableWidget *_key_list, KeyListRow::KeyType _select_type, KeyListColumn::InfoType _info_type, std::function< bool(const GpgKey &)> _filter=[](const GpgKey &) -> bool { return true;})
| Construct a new Key Table object. More...
void | Refresh (KeyLinkListPtr m_keys=nullptr)
KeyIdArgsListPtr & | GetChecked ()
| Get the Checked object. More...
void | UncheckALL () const
void | CheckALL () const
void | SetChecked (KeyIdArgsListPtr key_ids)
| Set the Checked object. More...

## Public Attributes
QTableWidget * | key_list_
KeyListRow::KeyType | select_type_
KeyListColumn::InfoType | info_type_
std::vector< GpgKey > | buffered_keys_
std::function< bool(const GpgKey &)> | filter_
KeyIdArgsListPtr | checked_key_ids_

## Constructor & Destructor Documentation

## ◆ KeyTable()

GpgFrontend::UI::KeyTable::KeyTable | ( | QTableWidget * | _key_list,
|  | KeyListRow::KeyType | _select_type,
|  | KeyListColumn::InfoType | _info_type,
|  | std::function< bool(const GpgKey &)> | _filter = `[](const GpgKey&) -> bool { return true; }`
| ) |  |
| inline

Construct a new Key Table object.

Parameters

  _key_list |
  _select_type |
  _info_type |
  _filter |

## Member Function Documentation

## ◆ GetChecked()

KeyIdArgsListPtr & GpgFrontend::UI::KeyTable::GetChecked | ( |  | ) |

Get the Checked object.

Returns
  KeyIdArgsListPtr&

Referenced by Refresh().

## ◆ Refresh()

void GpgFrontend::UI::KeyTable::Refresh | ( | KeyLinkListPtr | m_keys = `nullptr` | ) |

Parameters

  m_keys |

References GpgFrontend::GpgKeyGetter::FetchKey(), GetChecked(), and GpgFrontend::SingletonFunctionObject< GpgKeyGetter >::GetInstance().

## ◆ SetChecked()

void GpgFrontend::UI::KeyTable::SetChecked | ( | KeyIdArgsListPtr | key_ids | ) |

Set the Checked object.

Parameters

  key_ids |

The documentation for this struct was generated from the following files:

- src/ui/widgets/KeyList.h
- src/ui/widgets/KeyList.cpp